# This spec file has been taken from Fedora package
Summary:	Flashcard program for using space repetition learning
Name:		anki
Version:	2.0.13
Release:	%mkrel 2
Group:      Education
# the file anki-%%{version}/libanki/anki/features/chinese/unihan.db 
# was created out of  Unihan.txt from www.unicode.org (MIT license)
License:    AGPL3
URL:        http://ankisrs.net/
Source0:    http://ankisrs.net/download/mirror/%{name}-%{version}.tgz

# Config change: don't check for new updates.
Patch0:     %{name}-2.0.13-set-no-update.patch
Patch1:     %{name}-2.0.3-missing_mkdir.patch
Patch2:     %{name}-2.0.3-xdg-mime.patch
Patch3:     %{name}-2.0.3-httplib2.patch
BuildRequires:  python-devel, python-setuptools, python-sqlalchemy
BuildRequires:  desktop-file-utils, python-qt4, python-simplejson
BuildRequires:  xdg-utils
Requires:   python-qt4
Requires:   python-sqlalchemy, python-simplejson, python-sqlite2
Requires:   python-matplotlib, python-matplotlib-qt4
Requires:   python-pygame, python-beautifulsoup, python-httplib2
Requires:   python-pyaudio, sox
BuildArch:  noarch

%description
Anki is a program designed to help you remember facts (such as words
and phrases in a foreign language) as easily, quickly and efficiently
as possible. Anki is based on a theory called spaced repetition.

%prep
%setup -q
mv thirdparty/send2trash .
rm -rf thirdparty
%patch0 -p0
#%%patch1 -p0
#%%patch2 -p0
#%%patch3 -p0

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
rm -f aqt/*.noupdate
rm -f aqt/*.fix-browserview
cp -R aqt %{buildroot}%{_datadir}/%{name}/
cp -R designer %{buildroot}%{_datadir}/%{name}/
cp -R anki %{buildroot}%{_datadir}/%{name}/
cp -R locale %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/%{name}/thirdparty
cp -R send2trash %{buildroot}%{_datadir}/%{name}/thirdparty/

install -d %{buildroot}%{_bindir}
install -m 755 runanki %{buildroot}%{_bindir}/anki

install -d %{buildroot}%{_pkgdocdir}
install -m 644 LICENSE* %{buildroot}%{_pkgdocdir}/
install -m 644 README* %{buildroot}%{_pkgdocdir}/

install -d %{buildroot}%{_datadir}/mime/packages
install -m 644 anki.xml %{buildroot}%{_datadir}/mime/packages

install -d %{buildroot}%{_datadir}/pixmaps
install -m 644 anki.png %{buildroot}%{_datadir}/pixmaps/

install -d %{buildroot}%{_mandir}/man1
install -m 644 anki.1 %{buildroot}%{_mandir}/man1/

desktop-file-install \
  --remove-category=KDE \
  --dir %{buildroot}%{_datadir}/applications \
  %{name}.desktop

find %{buildroot} -type f -o -type l|sed '
s:'"%{buildroot}"'::
s:\(.*/share/anki/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
s:\(.*/share/anki/locale/qt_\)\([^.]\+\)\(\.qm\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
s:%lang(C) ::
/^$/d' > anki.lang

find %{buildroot}/usr/share/anki/locale -type d|sed '
s:'"%{buildroot}"'::
s:\(.*\):%dir \1:' >>anki.lang

%post
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%doc LICENSE.* README*
%{_bindir}/anki
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/aqt/
%{_datadir}/%{name}/designer/
%{_datadir}/%{name}/anki/
%{_datadir}/%{name}/thirdparty/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/mime/packages/anki.xml
%{_mandir}/man1/%{name}.*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0.13-2.mga4
+ Revision: 541377
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 grenoya <grenoya> 2.0.13-1.mga4
+ Revision: 495819
- new version 2.0.13

* Sun Apr 07 2013 grenoya <grenoya> 2.0.3-4.mga3
+ Revision: 408761
- fix missing link to httplib2 (bug #8836)
- disable automatic check for software updates

* Fri Jan 25 2013 fwang <fwang> 2.0.3-3.mga3
+ Revision: 392221
- drop unneeded qt4

* Fri Jan 11 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 345569
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 grenoya <grenoya> 2.0.3-1.mga3
+ Revision: 343250
-fix BR
-new version 2.0.3

* Thu Sep 20 2012 grenoya <grenoya> 1.2.11-1.mga3
+ Revision: 296422
- new version 1.2.11

* Mon Dec 19 2011 grenoya <grenoya> 1.2.9-2.mga2
+ Revision: 184162
- update sources to 1.2.9

* Sun Apr 24 2011 grenoya <grenoya> 1.2.8-2.mga1
+ Revision: 90170
- fix group

* Sun Apr 24 2011 grenoya <grenoya> 1.2.8-1.mga1
+ Revision: 90121
- imported package anki

